Company logoTrust Center Documentation

Update user profile

Update user profile information including personal details, preferences, and status. Non-admins can update their own profile fields; admins can update any…

PATCH
/api/v1/users/{id}

Update user profile information including personal details, preferences, and status. Non-admins can update their own profile fields; admins can update any user in their tenant and are required for role or status changes.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

User ID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/users/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{    "first_name": "Jane",    "last_name": "Smith",    "title": "Senior Compliance Manager"  }'
{  "success": true,  "data": {    "user": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "first_name": "string",      "last_name": "string",      "email": "user@example.com",      "title": "string",      "theme": "light",      "language": "string",      "status": "active"    }  }}

How is this guide?